asn1_octet_der(3)

NAME
asn1_octet_der - API function

SYNOPSIS
#include <libtasn1.h>

void asn1_octet_der(const unsigned char * str, int str_len, unsigned char * der, int * der_len);

ARGUMENTS

const unsigned char * str
    OCTET string.

int str_len
    STR length (str[0]..str[str_len-1]).

unsigned char * der
    string returned.

int * der_len
    number of meaningful bytes of DER (der[0]..der[ans_len-1]).

DESCRIPTION
Creates the DER coding for an OCTET type (length included).

COPYRIGHT
Copyright © 2006-2011 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.